function H = squaredspectrum(B, A, N)
    H = zeros(N, 1);
    
    w = linspace(0, 2*pi, N);
    
    for i=1:N
        H(i) = abs(sum(B.*exp(j*(0:length(B)-1)*w(i))) ...
            / sum(A.*exp(j*(0:length(A)-1)*w(i))))^2;
    end
end

